﻿namespace TorrentHarvester
{
    using System;

    public class CLogin
    {
        public string Cookie;
        public string Domain;
        private const string Key_Login = "login";
        private const string Key_Login_Domain = "domain";
        private const string Key_Login_LoginURL = "loginurl";
        private const string Key_Login_RegisterURL = "registerurl";
        public string LoginURL;
        public string RegisterURL;

        public CLogin()
        {
            this.RegisterURL = "";
            this.LoginURL = "";
            this.Cookie = "";
        }

        public CLogin(CXMLNode oXMLNode)
        {
            this.RegisterURL = "";
            this.LoginURL = "";
            this.Cookie = "";
            this.Load(oXMLNode);
        }

        public void Load(CXMLNode oXMLNode)
        {
            CXMLNode node = oXMLNode;
            this.Domain = node.get_StringValue("domain", "");
            this.RegisterURL = node.get_StringValue("registerurl", "");
            this.LoginURL = node.get_StringValue("loginurl", "");
            node = null;
        }

        public void Save(CXMLNode oXMLNode)
        {
            CXMLNode node = oXMLNode.Create("login");
            node.CreateText("domain", this.Domain, false);
            node.CreateText("registerurl", this.RegisterURL, false);
            node.CreateText("loginurl", this.LoginURL, false);
            node = null;
        }
    }
}

