﻿namespace TorrentHarvester
{
    using Microsoft.VisualBasic;
    using Microsoft.VisualBasic.CompilerServices;
    using System;
    using System.Collections;
    using System.Diagnostics;
    using System.IO;
    using System.Windows.Forms;

    public class CFile
    {
        private Hashtable _FieldText = new Hashtable();
        private string _Filename;
        public int Index;
        public CPage Page;

        public void LaunchAutoXDCC()
        {
            double num;
            string str2 = this.get_FieldText("Size");
            if (str2.EndsWith(" GB"))
            {
                num = Conversion.Val(str2.Substring(0, str2.Length - 3)) * 1000.0;
            }
            else if (str2.EndsWith(" MB"))
            {
                num = Conversion.Val(str2.Substring(0, str2.Length - 3));
            }
            else if (str2.EndsWith(" KB"))
            {
                num = Conversion.Val(str2.Substring(0, str2.Length - 3)) / 1000.0;
            }
            string path = modGlobal.TempFolder + "temp.xdcc";
            StreamWriter writer = new StreamWriter(path);
            writer.WriteLine("server: " + this.get_FieldText("Server"));
            writer.WriteLine("port: 6667");
            writer.WriteLine("channel: " + this.get_FieldText("Channel"));
            writer.WriteLine("command: /msg " + this.get_FieldText("User") + " xdcc send #" + this.get_FieldText("Slot"));
            writer.WriteLine("filename: " + this.get_FieldText("Title"));
            writer.WriteLine("filesize: " + num.ToString());
            writer.Close();
            Process.Start(path);
        }

        public bool Matches()
        {
            bool flag;
            try
            {
                if (modGlobal.g_oSettings.MatchAllTitleWords && !modGlobal.CompareText(this.get_FieldText("Title"), this.Page.Engine.CurrentSearchText))
                {
                    return false;
                }
                foreach (CFilter filter in modGlobal.Filters)
                {
                    string strText = this.get_FieldText(filter.FieldName);
                    if (!filter.Matches(strText))
                    {
                        return false;
                    }
                }
                flag = true;
            }
            catch (Exception exception1)
            {
                ProjectData.SetProjectError(exception1);
                flag = false;
                ProjectData.ClearProjectError();
                return flag;
                ProjectData.ClearProjectError();
            }
            return flag;
        }

        public string ToolTip()
        {
            string toolTip = this.Page.Engine.ToolTip;
            foreach (CField field in this.Page.Engine.AllFields)
            {
                toolTip = Strings.Replace(toolTip, "~~" + field.Name + "~~", this.get_FieldText(field.Name), 1, -1, CompareMethod.Binary);
            }
            return toolTip;
        }

        public string Translate(string strText)
        {
            using (IEnumerator enumerator = this._FieldText.Keys.GetEnumerator())
            {
                while (enumerator.MoveNext())
                {
                    string strFieldName = StringType.FromObject(enumerator.Current);
                    strText = Strings.Replace(strText, "~~" + strFieldName + "~~", this.get_FieldText(strFieldName), 1, -1, CompareMethod.Binary);
                }
            }
            return strText;
        }

        public void VisitChannel()
        {
            string str = this.get_FieldText("Channel");
            string data = "/ctcp " + this.get_FieldText("User") + " xdcc send " + this.get_FieldText("Slot");
            string fileName = "irc://" + this.get_FieldText("Server") + "/" + str.Substring(1, str.Length - 1);
            Clipboard.SetDataObject(data);
            Process.Start(fileName);
        }

        public string this[string strFieldName]
        {
            get
            {
                string str;
                if (this._FieldText[strFieldName] != null)
                {
                    str = this._FieldText[strFieldName].ToString();
                }
                return str;
            }
            set
            {
                this._FieldText[strFieldName] = value;
            }
        }

        public string Key
        {
            get
            {
                return (this.Page.Key + "_" + this.Index.ToString());
            }
        }
    }
}

