﻿namespace TorrentHarvester
{
    using Microsoft.VisualBasic;
    using Microsoft.VisualBasic.CompilerServices;
    using System;

    public class CForms
    {
        public Collection FormElementsCollection;

        public CForms(CParseHTML oParseHTML)
        {
            try
            {
                CParseHTML.ETag tagUnknown = CParseHTML.ETag.tagUnknown;
                this.FormElementsCollection = new Collection();
                while (oParseHTML.PositionAtNext("<form", false))
                {
                    int position;
                    Collection item = new Collection();
                    string nextData = oParseHTML.GetNextData();
                    tagUnknown = oParseHTML.TagID(nextData);
                    do
                    {
                        switch (tagUnknown)
                        {
                            case CParseHTML.ETag.tagForm:
                                item.Add(new CFormElement(nextData, tagUnknown), null, null, null);
                                break;

                            case CParseHTML.ETag.tagInput:
                                item.Add(new CFormElement(nextData, tagUnknown), null, null, null);
                                break;

                            case CParseHTML.ETag.tagSelect:
                            {
                                CFormElement element = new CFormElement(nextData, tagUnknown);
                                if (!nextData.EndsWith("/>"))
                                {
                                    nextData = oParseHTML.GetNextData();
                                    tagUnknown = oParseHTML.TagID(nextData);
                                    while ((((((tagUnknown != CParseHTML.ETag.tagSelectEnd) & (tagUnknown != CParseHTML.ETag.tagInput)) & (tagUnknown != CParseHTML.ETag.tagSelect)) & (tagUnknown != CParseHTML.ETag.tagForm)) & (tagUnknown != CParseHTML.ETag.tagFormEnd)) & !oParseHTML.EOF)
                                    {
                                        if (tagUnknown == CParseHTML.ETag.tagOption)
                                        {
                                            element.AddOption(nextData);
                                        }
                                        position = oParseHTML.Position;
                                        nextData = oParseHTML.GetNextData();
                                        tagUnknown = oParseHTML.TagID(nextData);
                                    }
                                    if (((tagUnknown == CParseHTML.ETag.tagInput) | (tagUnknown == CParseHTML.ETag.tagSelect)) | ((tagUnknown == CParseHTML.ETag.tagForm) & (tagUnknown != CParseHTML.ETag.tagFormEnd)))
                                    {
                                        oParseHTML.Position = position;
                                    }
                                }
                                item.Add(element, null, null, null);
                                break;
                            }
                        }
                        position = oParseHTML.Position;
                        nextData = oParseHTML.GetNextData();
                        tagUnknown = oParseHTML.TagID(nextData);
                    }
                    while (!(((tagUnknown == CParseHTML.ETag.tagFormEnd) | (tagUnknown == CParseHTML.ETag.tagForm)) | oParseHTML.EOF));
                    if (tagUnknown == CParseHTML.ETag.tagForm)
                    {
                        oParseHTML.Position = position;
                    }
                    this.FormElementsCollection.Add(item, null, null, null);
                }
            }
            catch (Exception exception1)
            {
                ProjectData.SetProjectError(exception1);
                Exception exception = exception1;
                ProjectData.ClearProjectError();
            }
        }
    }
}

